package com.imprimelibros.erp.datatables;

import java.util.*;

public class DataTablesRequest {
    public int draw;
    public int start;
    public int length;
    public Search search = new Search();
    public List<Order> order = new ArrayList<>();
    public List<Column> columns = new ArrayList<>();
    public Map<String,String> raw = new HashMap<>(); // <- params extra

    public static class Search { public String value=""; public boolean regex; }
    public static class Order { public int column; public String dir; }
    public static class Column {
        public String data;
        public String name;
        public boolean searchable=true;
        public boolean orderable=true;
        public Search search=new Search();
    }
}